import request from '@/utils/request'

export function getMaintenancePage(data){
    return request({
        url: '/rel-customer-market/page',
        method: 'get',
        params: data
    })
}


export function getMaintenanceList(data){
    return request({
        url: '/rel-customer-market/list',
        method: 'post',
        data: data
    })
}

export function addMaintenance(data){
    return request({
        url: '/rel-customer-market/add',
        method: 'post',
        data: data
    })
}

export function editMaintenance(data){
    return request({
        url: '/rel-customer-market/move',
        method: 'post',
        data: data
    })
}

export function deleteMaintenance(data){
    return request({
        url: '/rel-customer-market/delete',
        method: 'post',
        data: data
    })
}

// 左边 物流线市场 树状
export function getMaintenanceTree(data){
    return request({
        url: '/base-line/lineMarketPage',
        method: 'post',
        params: data
    })
}